<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>LAN :: U.S. Robotics Wireless MAXg Access Point</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5451.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>

<script type="text/javascript">
	writeHeader();
</script>

 <body onload="setVisibility('idStaticIP', document.idForm.idIPmethod[1].checked);" onbeforeunload="verifyDeparture();">

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.</p>

	<h1>IP Address</h1>
	<p>This is the address of the access point on your network.
   It&rsquo;s the address you enter into your Web browser
   in order to access the access point. It can be assigned
   automatically or you can specify it manually.
	</p>
</div>

<form name="idForm" action="apply.cgi" method="post">
<input type="hidden" name="page" value="lan.asp">
<input type="hidden" name="lan_dhcp" value="1">

<h3>IP Address</h3>

<p class="clsRadio" onclick="setVisibility('idStaticIP', document.idForm.idIPmethod[1].checked);">
	<input type="radio" name="idIPmethod" id="idIPdyn" value="optIPdynamic" <% nvram_match("lan_dhcp", "1", "checked"); %>><label for="idIPdyn">Dynamic</label><br/>
	<input type="radio" name="idIPmethod" id="idIPstatic" value="optIPstatic" <% nvram_match("lan_dhcp", "0", "checked"); %>><label for="idIPstatic">Static</label>
</p>

<div id="idStaticIP">
<table border="0">
	<tr>
		<td><label for="lan_ipaddr">IP address:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="lan_ipaddr" class="clsTextfield" name="lan_ipaddr" value="<% nvram_get("lan_ipaddr"); %>" onchange="bDirty = true;">
		</td>
	</tr>
	<tr>
		<td><label for="lan_netmask">Subnet mask:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="lan_netmask" class="clsTextfield" name="lan_netmask" value="<% nvram_get("lan_netmask"); %>" onchange="bDirty = true;">
		</td>
	</tr>
	<tr>
		<td><label for="lan_gateway">Gateway:</label></td>
		<td>
			<input type="text" id="lan_gateway" class="clsTextfield" size="20" maxlength="15" name="lan_gateway" value="<% nvram_get("lan_gateway"); %>" onchange="bDirty = true;">
		</td>
	</tr>
	<tr>
		<td><label for="lan_dns">DNS server:</label></td>
		<td>
			<input type="text" id="lan_dns" class="clsTextfield" size="20" maxlength="15" name="lan_dns" value="<% nvram_get("lan_dns"); %>" onchange="bDirty = true;">
		</td>
	</tr>
</table>

<p>If you modify the access point&rsquo;s IP address, your browser will continue
to use the old IP address after you save your changes.
This means that you will need to enter the access point&rsquo;s new IP address in
your browser after you save your changes in order to access the access point again.</p>

</div>

<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="checkIP(); bDirty=false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
