<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2006, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup :: U.S. Robotics Wireless MAXg Bridge</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5432.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--

var sites = new Array(<% wl_scan(); %>);
var bSecure = true;

var strSiteSelected = "";

function validatePage()
{
	var security = document.getElementById("chkSecure");
	
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		
		if (ixSecurity == 0) {
			document.idForm.cbAuthEncrypt.value = "wpa2";
			document.idForm.cbEncryption.value = "aes";
		}
		else if (ixSecurity == 1){
			document.idForm.cbAuthEncrypt.value = "wpa2";
			document.idForm.cbEncryption.value = "tkip";
		}
		else if (ixSecurity == 2){
			document.idForm.cbAuthEncrypt.value = "wpa";
			document.idForm.cbEncryption.value = "aes";
		}
		else if (ixSecurity == 3){
			document.idForm.cbAuthEncrypt.value = "wpa";
			document.idForm.cbEncryption.value = "tkip";
		}
		else if (ixSecurity == 4)
				document.idForm.cbAuthEncrypt.value = "open";
		else if (ixSecurity == 5)
				document.idForm.cbAuthEncrypt.value = "shared";
	}
	
	return true;
}

//-->
</script>
</head>

<body onload="buildSiteSurveyTable(sites, 1); initializeSurveyPage(strSiteSelected, 1, bSecure); onSecurityChange(false);">

<script type="text/javascript">
	writeHeaderSetup(2, 3);
</script>


<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Network</h1>
   <p>Select the wireless router or access point you use to connect
   to the Internet.
   </p>

   <p>If you don&rsquo;t see your network in the list, it may be because
   the access point isn&rsquo;t broadcasting its network name. In that event,
   you will have to clear the <b>My wireless network is broadcasting its network name</b>
   check box and enter its information manually.
   </p>

   	<p>The network name is sometimes called the SSID.</p>

	<p>If your access point wasn&rsquo;t detected because it was turned off,
	you can turn it on and press the <b>Scan</b> button to try and detect it again.
   </p>

</div>


<form name="idForm" action="setup_login.asp" method="post">
<input type="hidden" name="page" value="setup_infra.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_mode" value="wet">
<input type="hidden" name="wl_channel" value="11">
<input type="hidden" name="cbAuthEncrypt" value="none">
<input type="hidden" name="cbEncryption" value="none">
<input type="hidden" name="wl_key" value="1">

<h3>Network</h3>

<div id="idNoAPs" class="clsNotice">
	The U.S. Robotics Wireless <i>MAX</i>g Bridge was unable to detect
	any wireless routers or access points.
	Please ensure that your wireless router or access point is connected
	properly and powered on and press the <b>Scan</b> button to try again.
	If your wireless network isn&rsquo;t broadcasting its network name
	clear the <b>My wireless network is broadcasting its network name</b>
	check box and enter its network name in the field below.
</div>

<p id="idFoundAPs">Please select a wireless network from the list of detected networks
or enter its information manually.</p>

<p><input type="checkbox" name="chkInList" id="chkInList" checked onclick="arrangeSiteSurvey(bSecure);"> <label for="chkInList">My wireless network is broadcasting its network name</label></p>

<p id="idSiteSurvey">Select a wireless network from the list of detected networks.</p>

<div id="idBroadcast">
	<div id="idSurvey">
		<!-- Filled by script -->
	</div>
	<p><input type="button" name="action" value="Scan" class="clsSmall" onclick="document.location.href='setup_infra.asp';"></p>
</div>

<p id="idMan">Enter the network name of the wireless network.</p>
<div id="idNotBroadcast">
	<table>
		<tr>
			<td><label for="wl_ssid">Network name:</label></td>
			<td><input type="text" size="32" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false; bDirty = true;"></td>
		</tr>
	</table>
</div>


<h3>Security</h3>

<div id="idInsecure" style="display: none;">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure" style="display: none;">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual" style="display: none;">
	<p>The bridge cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td><label for="cbSecurity">Method:</label></td>
		<td><select id="cbSecurity" name="cbSecurity" onchange="onSecurityChange(false); bDirty = true;">
    			<option value="wpa2+aes">WPA2 PSK (AES)</option>
			<option value="wpa2+tkip">WPA2 PSK (TKIP)</option>
			<option value="wpa+aes">WPA PSK (AES)</option>
			<option value="wpa+tkip">WPA PSK (TKIP)</option>
			<option value="open">WEP open</option>
			<option value="shared">WEP shared</option>
		    </select>
		</td>
	</tr>

	<!-- WEP -->
	<tr id="idKey1">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key', document.idForm.wl_key1)) return false; bDirty = true;">
	</tr>
	<!-- WPA -->
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass phrase:</label></td>
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false; bDirty = true;">
	</tr>
</table>
</div>


<p class="clsSave">When you&rsquo;re finished and are ready to go to the next step, press <b>Next</b>.</p>
<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false; if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false;
if (!isPrintable('Key', document.idForm.wl_key1)) return false; checksettings(); if (!validatePage()) return false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
