<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Status :: U.S. Robotics Wireless MAXg Gaming Adapter</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5431.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">

<!--

function get_encryption()
{
	var encrypt = "<% nvram_get("cbEncryption"); %>";
	
	if (encrypt == "aes") 
		return "AES";
	
	if (encrypt == "tkip") 
		return "TKIP";
	else	
		return "None";
}	

function get_method()
{
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
		
	if (auth == "wpa12")
		return "WPA2 and WPA (PSK)";
		
	if (auth == "wpa2")
		return "WPA2 PSK";
		
	if (auth == "wpa")
		return "WPA PSK";
		
	if (auth == "open") 
		return "WEP open";
		
	if (auth == "shared") 
		return "WEP shared";
			
	if (auth == "none") 
		return "None";
	
	else	
		return "";
}

/* initialize radius server and key encryption fields */
function initialize()
{
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
				
	if ((auth == "wpa12") || (auth == "wpa2") || (auth == "wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idKey1', true);
	}
	else if ((auth == "open") || (auth == "shared")) {
			setVisibility('idKey2', true);
	}
}
	
//-->
</script>
</head>


<body onload="initialize();">

<script type="text/javascript">
	writeHeader();
</script>

<noscript>
	<p class="clsNotice">The U.S. Robotics Wireless <i>MAX</i>g Gaming Adapter uses scripting to display
	its data correctly. This browser either doesn&rsquo;t support scripting or has
	scripting disabled. Please refer to your browser&rsquo;s documentation for instructions
	on how to enable scripting.
	</p>
</noscript>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<p class="clsNote"><a href="javascript:print();">Print this page</a>
	<br/>
<script type="text/javascript">
	document.write('<a href="' + document.location.href + '" title="U.S. Robotics Gaming Adapter" rel="sidebar" onclick="bookmark(this); return false;">Bookmark the gaming adapter<\/a>');
</script>
	or press Ctrl+D
   	</p>
	
		<h1>Tutorial</h1>
	<p>How do I <a href="tutorial_connect.asp">connect the gaming adapter</a> to a network-ready device?</p>

	<h1>Refresh</h1>
	<p>Press the <b>Refresh</b> button at the bottom of the page to display the latest values.</p>

</div>

<p>Your U.S. Robotics Wireless <i>MAX</i>g Gaming Adapter is now configured.
You can now connect it to your gaming system
(or other network-ready device, such as a personal video recorder like TiVo).
Please see the <a href="tutorial_connect.asp">tutorial</a> for details.</p>

<table border="0">
		<tr><td colspan="2"><h3>Device</h3></td></tr>
		<tr>
			<td><label>Name:</label></td>
			<td class="clsStatic">U.S. Robotics Wireless <em>MAX</em>g Gaming Adapter (USR5431)</td>
		</tr>
		<tr>
			<td><label>Firmware:</label></td>
			<td class="clsStatic"><% nvram_get("os_version"); %> (<% nvram_get("os_date"); %>)</td>
		</tr>
		<tr>
			<td><label>Boot loader:</label></td>
			<td class="clsStatic"><% nvram_get("pmon_ver"); %></td>
		</tr>
		
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Wireless</h3></td></tr>
		<tr>
			<td><label>Wireless mode:</label></td>
			<td class="clsStatic"><% wl_cur_mode(); %></td>
		</tr>
		<tr>
			<td><label>Network name:</label></td>
			<td class="clsStatic"><% nvram_get("wl_ssid"); %></td>
		</tr>
		<tr>
			<td><label>Channel:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_channel"); %></td>
		</tr>
		<tr>
			<td><label>Signal strength:</label></td>
			<td class="clsStatic"><% wl_cur_signal(); %></td>
		</tr>
		<tr>
			<td><label>Current rate:</label></td>
			<td class="clsStatic"><% wl_cur_rate(); %></td>
		</tr>
		<tr>
			<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_hwaddr"); %></td>
		</tr>
		<tr>
			<td><label>Associated network:</label></td>
			<td class="clsStatic"><% wl_cur_BSSID(); %></td>
		</tr>
		
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Security</h3></td></tr>
		<tr>
			<td><label>Method:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_method());</script></td>
		</tr>
		<tr id="idEncrypt" style="display: none;">
			<td><label>Encryption:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_encryption());</script></td>
		</tr>
		<tr id="idKey1" style="display: none;">
			<td><label>Pass phrase:</label></td>
			<td class="clsStatic"><% nvram_get("wl_wpa_psk"); %></td>
		</tr>
		<tr id="idKey2" style="display: none;">
			<td><label>Key:</label></td>
			<td class="clsStatic"><% nvram_get("wl_key1"); %></td>
		</tr>
								
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>LAN</h3></td></tr>
		<tr>
			<td><label>IP address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_ipaddr"); %></td>
		</tr>
		<tr>
			<td><label>Subnet mask:</label></td>
			<td class="clsStatic"><% nvram_get("lan_netmask"); %></td>
		</tr>
		<tr>
			<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_hwaddr"); %></td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
</table>


<form action="status.asp" method="post">
	<input type="submit" class="clsBtnSave" name="Refresh" value="Refresh">
</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>

